net/py-python-bitcoinrpc: Update to 1.0
ClosedPublic

Authored by loader on Feb 12 2017, 7:55 AM.

Details

Summary

Proposed commit log message:

net/py-python-bitcoinrpc: Update to 1.0

- Switch MASTER_SITE to CHEESESHOP
- Add NO_ARCH
- Update LICENSE to LGPL21
- Add LICENSE_FILE
- Allow concurrent installation (USE_PYTHON=concurrent)

Reviewed_by: koobs, mat
Approved by: koobs (ports)
Submitted by: Gyver Def (gdef wp pl)
Differential_Revision: D9552
Test Plan
  • portlint: OK (looks fine)
  • testport: OK (poudriere: 1200060, [armv7, aarch64], '', [py27, py36] tested)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
loader updated this revision to Diff 25037.Feb 12 2017, 7:55 AM
loader retitled this revision from to net/py-python-bitcoinrpc: update to 1.0.
loader updated this object.
loader edited the test plan for this revision. (Show Details)
loader added a reviewer: koobs.

% portlint -AC
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.

poudriere log:
http://pastebin.com/raw/ne5fdScD

mat added a comment.Feb 13 2017, 4:14 PM

Why not use the v1.0 tag ?

mat added a comment.Feb 13 2017, 5:21 PM

Ok, silly author :-)

loader updated this revision to Diff 29061.May 31 2017, 9:09 AM

USES=python:2.7+ and USE_PYTHON=concurrent

loader edited the summary of this revision. (Show Details)May 31 2017, 9:16 AM
loader edited the test plan for this revision. (Show Details)
koobs requested changes to this revision.May 31 2017, 9:27 AM
koobs added inline comments.
net/py-python-bitcoinrpc/Makefile
13 ↗(On Diff #29061)

Add LICENSE_FILE (${WRKSRC}/LICENSE) where one exists in distfiles

20 ↗(On Diff #29061)

Keep values sorted if they're already sorted

This revision now requires changes to proceed.May 31 2017, 9:27 AM
koobs edited the summary of this revision. (Show Details)May 31 2017, 9:45 AM

@loader Don't need to mention yourself in Submitted by: in commit log messages, as anything not explicitly referenced [1] is implied to be by you, as everyone else would be referenced already by name

koobs retitled this revision from net/py-python-bitcoinrpc: update to 1.0 to net/py-python-bitcoinrpc: Update to 1.0.May 31 2017, 9:47 AM
mat added inline comments.May 31 2017, 10:05 AM
net/py-python-bitcoinrpc/Makefile
16 ↗(On Diff #29061)

There is a v1.0 tag, so you should remove this and add a DISTVERSIONPREFIX=v in the top block.

Like always, if this does not correspond to the 1.0 tag, then it should not be named 1.0. Or maybe one should open an issue with upstream telling them that the v1.0 tag does not correspond to the 1.0 version.

loader updated this revision to Diff 29065.May 31 2017, 10:30 AM
loader edited edge metadata.

Add LICENSE_FILE and sort USE_PYTHON

loader edited the summary of this revision. (Show Details)May 31 2017, 10:33 AM
koobs accepted this revision.May 31 2017, 10:35 AM

Nice work, ship it!

Don't forget to remove underscores from commit log message properties :)

This revision is now accepted and ready to land.May 31 2017, 10:35 AM
loader updated this revision to Diff 29068.May 31 2017, 12:04 PM
loader edited edge metadata.

Add DISTVERSIONPREFIX=v

This revision now requires review to proceed.May 31 2017, 12:04 PM
loader marked 3 inline comments as done.May 31 2017, 12:04 PM
loader updated this revision to Diff 40279.Mar 14 2018, 8:21 AM

Switch MASTER_SITE to CHEESESHOP

loader edited the summary of this revision. (Show Details)Mar 14 2018, 8:29 AM
loader edited the test plan for this revision. (Show Details)
loader edited the summary of this revision. (Show Details)Mar 17 2018, 4:21 PM
loader edited the test plan for this revision. (Show Details)
koobs accepted this revision.Mar 18 2018, 10:04 AM

I would also note the license change in the commit log message

This revision is now accepted and ready to land.Mar 18 2018, 10:04 AM
loader edited the summary of this revision. (Show Details)Mar 18 2018, 1:48 PM
koobs added a comment.Mar 19 2018, 5:08 AM

@loader Revision already accepted, thanks for that commit log message update :)

This revision was automatically updated to reflect the committed changes.